Get Wallet Actions
curl --request GET \
--url https://api.fuse.io/api/v2/smart-wallets/actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fuse.io/api/v2/smart-wallets/actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fuse.io/api/v2/smart-wallets/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"docs": [
{
"_id": "<string>",
"walletAddress": "<string>",
"name": "<string>",
"status": "<string>",
"received": [
{
"name": "<string>",
"symbol": "<string>",
"address": "<string>",
"decimals": 123,
"value": "<string>",
"type": "<string>",
"_id": "<string>",
"to": "<string>"
}
],
"sent": [
{
"name": "<string>",
"symbol": "<string>",
"address": "<string>",
"decimals": 123,
"value": "<string>",
"type": "<string>",
"_id": "<string>",
"to": "<string>"
}
],
"userOpHash": "<string>",
"txHash": "<string>"
}
]
}{
"statusCode": 123,
"errorMessage": "<string>",
"path": "<string>"
}{
"statusCode": 123,
"errorMessage": "<string>",
"path": "<string>"
}Smart Wallets
Get Wallet Actions
GET
/
actions
Get Wallet Actions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Your Public API key.
Page number for pagination.
Number of items per page.
Filter actions by token address.
Response
Successful response
Show child attributes
Show child attributes
⌘I